Name:          python-cheetah3
Version:       3.4.0
Release:       1mamba
Summary:       An open source template engine and code generation tool
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/Cheetah3/
Source:        https://github.com/CheetahTemplate3/cheetah3.git/%{version}/cheetah3-%{version}.tar.bz2
#Source:        https://pypi.debian.net/Cheetah3/Cheetah3-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:   python-Cheetah3%{?pyappend:-%pyappend} < 3.3.1-2mamba
%pyver_package
%endif

%prep
%setup -q -n cheetah3-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

for f in cheetah cheetah-analyze cheetah-compile; do
   mv %{buildroot}%{_bindir}/$f %{buildroot}%{_bindir}/$f-%{?pyappend}
   sed -i "s|%{_bindir}/$f$|%{_bindir}/$f-%{?pyappend}|" %{name}.filelist
done

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Wed Dec 04 2024 Automatic Build System <autodist@openmamba.org> 3.4.0-1mamba
- automatic version update by autodist

* Fri Mar 01 2024 Automatic Build System <autodist@openmamba.org> 3.3.3.post1-1mamba
- automatic version update by autodist

* Mon Oct 23 2023 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 3.3.2-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sat Aug 12 2023 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Sat May 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-2mamba
- rebuilt with python 3.10

* Thu Mar 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-1mamba
- update to 3.3.1

* Wed Apr 21 2021 Automatic Build System <autodist@mambasoft.it> 3.2.6.post2-2mamba
- automatic version update by autodist

* Tue Apr 20 2021 Automatic Build System <autodist@mambasoft.it> 3.2.6.post2-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 3.2.6.post1-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic version update by autodist

* Wed Mar 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.4-1mamba
- package created using the webbuild interface
